Bug 147143 - 3/3: mod_*/pkg-plist: [patch]: use %%AP_MODULE%%
3/3: mod_*/pkg-plist: [patch]: use %%AP_MODULE%%
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Philip M. Gollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 20:20 UTC by Philip M. Gollucci
Modified: 2010-06-06 06:10 UTC (History)
1 user (show)

See Also:


Attachments
ap_module.diff (20.54 KB, patch)
2010-05-27 20:20 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci freebsd_committer 2010-05-27 20:20:01 UTC

    
Comment 1 Philip M. Gollucci freebsd_committer 2010-05-27 20:22:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

quickie review / approval
Comment 2 pav freebsd_committer 2010-05-27 21:59:28 UTC
Responsible Changed
From-To: portmgr->pgollucci

I'm not sure this is required, that value is not going to change in future 
updates of the port, so it as well can stay in literal. 

mod_memcache chunk looks incorrect
Comment 3 Philip M. Gollucci freebsd_committer 2010-05-27 22:28:48 UTC
Responsible Changed
From-To: pgollucci->portmgr

explanations 

FWIW, I have my reasons for doing these clean ups in prep of some
AP_FAST_BUILD conversions
and adding @apadd and @aprm or similiar.

Additionally, In the distant future as discussed with clement not
editing httpd.conf but having each port add a file
to %%APACHEETCDIR/Includes/${AP_NAME:S/.so//}.conf

Which will clean up all the damned echos and whatnot among many other
things (ie mod_log_sql2-dtc)
http://www.freebsd.org/cgi/query-pr.cgi?pr=147143 
Comment 4 pav freebsd_committer 2010-05-28 08:49:41 UTC
Responsible Changed
From-To: portmgr->pgollucci

I'm not saying no to this
Comment 5 Philip M. Gollucci freebsd_committer 2010-06-06 06:00:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter freebsd_committer 2010-06-06 06:00:40 UTC
pgollucci    2010-06-06 05:00:32 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_accounting   pkg-plist 
    www/mod_auth_form    pkg-plist 
    www/mod_auth_kerb    pkg-plist 
    www/mod_auth_kerb2   pkg-plist 
    www/mod_auth_pam     pkg-plist 
    www/mod_auth_pubtkt  pkg-plist 
    www/mod_auth_remote  pkg-plist 
    www/mod_backhand     pkg-plist 
    www/mod_bandwidth    pkg-plist 
    www/mod_clamav       pkg-plist 
    www/mod_cplusplus    pkg-plist 
    www/mod_cvs2         pkg-plist 
    www/mod_fcgid        pkg-plist 
    www/mod_gzip         pkg-plist 
    www/mod_jk           pkg-plist 
    www/mod_layout2      pkg-plist 
    www/mod_limitipconn2 pkg-plist 
    www/mod_log_firstbyte pkg-plist 
    www/mod_memcache     pkg-plist 
    www/mod_mono         pkg-plist 
    www/mod_mp3          pkg-plist 
    www/mod_musicindex   pkg-plist 
    www/mod_ntlm         pkg-plist 
    www/mod_ntlm2        pkg-plist 
    www/mod_proxy_xml    pkg-plist 
    www/mod_put          pkg-plist 
    www/mod_python       pkg-plist 
    www/mod_python3      pkg-plist 
    www/mod_realip       pkg-plist 
    www/mod_roaming2     pkg-plist 
    www/mod_sed          pkg-plist 
    www/mod_transform    pkg-plist 
    www/mod_tsunami      pkg-plist 
    www/mod_xmlns        pkg-plist 
  Log:
  - use %%AP_MODULE%% PLIST_SUB var in pkg-plist s
  
  PR:             ports/147143
  Submitted by:   pgollucci@ (myself)
  Reviewed by:    portmgr (pav)
  
  Revision  Changes    Path
  1.8       +1 -1      ports/www/mod_accounting/pkg-plist
  1.4       +3 -3      ports/www/mod_auth_form/pkg-plist
  1.6       +1 -1      ports/www/mod_auth_kerb/pkg-plist
  1.7       +1 -1      ports/www/mod_auth_kerb2/pkg-plist
  1.6       +1 -1      ports/www/mod_auth_pam/pkg-plist
  1.3       +1 -1      ports/www/mod_auth_pubtkt/pkg-plist
  1.6       +1 -1      ports/www/mod_auth_remote/pkg-plist
  1.5       +1 -1      ports/www/mod_backhand/pkg-plist
  1.6       +1 -1      ports/www/mod_bandwidth/pkg-plist
  1.6       +1 -1      ports/www/mod_clamav/pkg-plist
  1.2       +1 -1      ports/www/mod_cplusplus/pkg-plist
  1.6       +1 -1      ports/www/mod_cvs2/pkg-plist
  1.6       +1 -1      ports/www/mod_fcgid/pkg-plist
  1.9       +1 -1      ports/www/mod_gzip/pkg-plist
  1.7       +1 -1      ports/www/mod_jk/pkg-plist
  1.7       +1 -1      ports/www/mod_layout2/pkg-plist
  1.5       +1 -1      ports/www/mod_limitipconn2/pkg-plist
  1.4       +1 -1      ports/www/mod_log_firstbyte/pkg-plist
  1.2       +2 -2      ports/www/mod_memcache/pkg-plist
  1.2       +2 -2      ports/www/mod_mono/pkg-plist
  1.7       +1 -1      ports/www/mod_mp3/pkg-plist
  1.9       +1 -1      ports/www/mod_musicindex/pkg-plist
  1.5       +1 -1      ports/www/mod_ntlm/pkg-plist
  1.4       +1 -1      ports/www/mod_ntlm2/pkg-plist
  1.5       +1 -1      ports/www/mod_proxy_xml/pkg-plist
  1.4       +1 -1      ports/www/mod_put/pkg-plist
  1.5       +1 -1      ports/www/mod_python/pkg-plist
  1.11      +1 -1      ports/www/mod_python3/pkg-plist
  1.5       +1 -1      ports/www/mod_realip/pkg-plist
  1.5       +1 -1      ports/www/mod_roaming2/pkg-plist
  1.5       +1 -1      ports/www/mod_sed/pkg-plist
  1.3       +1 -1      ports/www/mod_transform/pkg-plist
  1.10      +1 -1      ports/www/mod_tsunami/pkg-plist
  1.5       +1 -1      ports/www/mod_xmlns/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"